### Make HMP config files

for sampleLine in {1..57}; do
	sample=$(head -$sampleLine ../HMP_sim_configs_noBadSpec.txt | tail -1)
	sampID=$(echo $sample | awk '{print $1}' | sed -e "s/\\./_/g") #Get rid of 
	echo $sampID
	specSet=$(echo $sample | awk '{print $2}')
	relAbundSet=$(echo $sample | awk '{print $4}')
	echo $specSet
	echo $relAbundSet
	sed -e "s/specList/$specSet/g" config_generic_AGORA.txt > configs_HMP/"config_$sampID".txt
	sed -i -e "s/relAbunds/$relAbundSet/g" configs_HMP/"config_$sampID".txt
	sed -i -e "s/outFile/HMP_$sampID/g" configs_HMP/"config_$sampID".txt
done

#Test sample with all models
sampleLine=1
sample=$(head -$sampleLine ../HMP_config_test_noBadSpec.txt | tail -1)
sampID=$(echo $sample | awk '{print $1}' | sed -e "s/\\./_/g") #Get rid of 
echo $sampID
specSet=$(echo $sample | awk '{print $2}')
relAbundSet=$(echo $sample | awk '{print $3}')
echo $specSet
echo $relAbundSet
sed -e "s/specList/$specSet/g" config_generic_AGORA.txt > configs_HMP/"config_$sampID".txt
sed -i -e "s/relAbunds/$relAbundSet/g" configs_HMP/"config_$sampID".txt
sed -i -e "s/outFile/HMP_$sampID/g" configs_HMP/"config_$sampID".txt

for filename in `ls configs_HMP`; do
	sed -i -e "s/FBA_mediaNoisy_results/FBA_HMP_results/g" configs_HMP/$filename
done

### Repeat with media noisy ones
for sampleNum in {1..57}; do
	samp=$(head -$sampleNum ../HMP_sim_configs_noBadSpec.txt | tail -1)
	sampID=$(echo $samp | awk '{print $1}' | sed -e "s/\\./_/g") #Get rid of 
	echo $sampID
	mediaFile=FaithMediaAGORA_HMPexpanded_1_"$sampleNum"
	echo $mediaFile
	sed -e "s/FaithMedia_AGORA_expanded_revised/$mediaFile/g" configs_HMP/"config_$sampID".txt > configs_HMP/"config_noise_$sampID".txt
	sed -i -e "s/FBA_HMP_results/FBA_HMP_noise_results/g" configs_HMP/"config_noise_$sampID".txt
done

for configfile in `ls configs/configs_HMP/config_noise*`; do
	qsub -cwd -l mfree=30g runModelProvideConfig.sh $configfile
done

#Make table of which media goes with which sample
cd configs/configs_HMP
for configfile in `ls config_noise*`; do
	mediaFile=$(grep 'media_csv' $configfile)
	echo "$configfile,$mediaFile" >> config_noise_media_table.csv
done 
